package com.ruoyi.project.plant.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 目标回顾对象 t_targetreview
 *
 * @author ruoyi
 * @date 2020-11-25
 */
public class TTargetreview extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** 序号 */
    @Excel(name = "序号")
    private String item;

    /** 内容 */
    @Excel(name = "内容")
    private String description;

    /** 目标 */
    @Excel(name = "目标")
    private String targets;

    /** 年度 */
    @Excel(name = "年份")
    private Long year;

    /** 第一季度 */
    private String firstquarter;

    /** 半年 */
    @Excel(name = "半年")
    private String halfyear;

    /** 前三季度 */
    private String threequarter;

    /** 全年 */
    @Excel(name = "全年")
    private String annual;

    /** 状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 第一季度状态 */
    private String firstquarterStatus;

    /** 半年状态 */
    private String halfyearStatus;

    /** 前三季度状态 */
    private String threequarterStatus;

    /** 全年状态 */
    private String annualStatus;

    /** 序号前位 */
    private Long itemTop;

    /** 序号后位 */
    private Long itemLast;

    /** 行动项 */
    @Excel(name = "行动项")
    private String actionItem;

    /** 负责人 */
    @Excel(name = "负责人")
    private String principal;
    private String principalName;

    /** 计划完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "计划完成时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date expectedDate;

    /** 完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "完成时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date completionDate;

    /** 父菜单ID */
    private Long parentId;

    /** 偏差说明 */
    private String deviationInfo;

    /** 对应的targetlistIID */
    private Long listId;

    /** 当前累积量 */
    @Excel(name = "当前累积量")
    private String total;

    /** 当前累积量状态 */
    @Excel(name = "当前累积量状态")
    private String totalStatus;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setItem(String item)
    {
        this.item = item;
    }

    public String getItem()
    {
        return item;
    }
    public void setDescription(String description)
    {
        this.description = description;
    }

    public String getDescription()
    {
        return description;
    }
    public void setTargets(String targets)
    {
        this.targets = targets;
    }

    public String getTargets()
    {
        return targets;
    }
    public void setFirstquarter(String firstquarter)
    {
        this.firstquarter = firstquarter;
    }

    public String getFirstquarter()
    {
        return firstquarter;
    }
    public void setHalfyear(String halfyear)
    {
        this.halfyear = halfyear;
    }

    public String getHalfyear()
    {
        return halfyear;
    }
    public void setThreequarter(String threequarter)
    {
        this.threequarter = threequarter;
    }

    public String getThreequarter()
    {
        return threequarter;
    }
    public void setAnnual(String annual)
    {
        this.annual = annual;
    }

    public String getAnnual()
    {
        return annual;
    }
    public void setYear(Long year)
    {
        this.year = year;
    }

    public Long getYear()
    {
        return year;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setFirstquarterStatus(String firstquarterStatus) { this.firstquarterStatus = firstquarterStatus; }

    public String getFirstquarterStatus() { return firstquarterStatus; }
    public void setHalfyearStatus(String halfyearStatus) { this.halfyearStatus = halfyearStatus; }

    public String getHalfyearStatus() { return halfyearStatus; }
    public void setThreequarterStatus(String threequarterStatus) { this.threequarterStatus = threequarterStatus; }

    public String getThreequarterStatus() { return threequarterStatus; }
    public void setAnnualStatus(String annualStatus) { this.annualStatus = annualStatus; }

    public String getAnnualStatus() { return annualStatus; }
    public void setItemTop(Long itemTop) { this.itemTop = itemTop; }

    public Long getItemTop() { return itemTop; }
    public void setItemLast(Long itemLast) { this.itemLast = itemLast; }

    public Long getItemLast() { return itemLast; }
    public void setActionItem(String actionItem)
    {
        this.actionItem = actionItem;
    }

    public String getActionItem()
    {
        return actionItem;
    }
    public void setPrincipal(String principal) { this.principal = principal; }

    public String getPrincipal() { return principal; }
    public String getPrincipalName() { return principalName; }

    public void setPrincipalName(String principalName) { this.principalName = principalName; }
    public void setExpectedDate(Date expectedDate)
    {
        this.expectedDate = expectedDate;
    }

    public Date getExpectedDate()
    {
        return expectedDate;
    }
    public void setCompletionDate(Date completionDate)
    {
        this.completionDate = completionDate;
    }

    public Date getCompletionDate()
    {
        return completionDate;
    }
    public Long getParentId()
    {
        return parentId;
    }

    public void setParentId(Long parentId)
    {
        this.parentId = parentId;
    }
    public void setDeviationInfo(String deviationInfo) { this.deviationInfo = deviationInfo; }

    public String getDeviationInfo() { return deviationInfo; }
    public void setListId(Long listId) { this.listId = listId; }

    public Long getListId() { return listId; }
    public void setTotal(String total) { this.total = total; }

    public String getTotal() { return total; }
    public void setTotalStatus(String totalStatus) { this.totalStatus = totalStatus; }

    public String getTotalStatus() { return totalStatus; }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("item", getItem())
            .append("description", getDescription())
            .append("targets", getTargets())
            .append("firstquarter", getFirstquarter())
            .append("halfyear", getHalfyear())
            .append("threequarter", getThreequarter())
            .append("annual", getAnnual())
            .append("year", getYear())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .append("deptName", getDeptName())
            .append("firstquarterStatus", getFirstquarterStatus())
            .append("halfyearStatus", getHalfyearStatus())
            .append("threequarterStatus", getThreequarterStatus())
            .append("annualStatus", getAnnualStatus())
            .append("itemTop", getItemTop())
            .append("itemLast", getItemLast())
            .append("actionItem", getActionItem())
            .append("principal", getPrincipal())
            .append("expectedDate", getExpectedDate())
            .append("completionDate", getCompletionDate())
            .append("listId", getListId())
            .toString();
    }
}
